/* Copyright (c) 2006-2018 Peter Speck / Vitality. All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Vitality nor the names of its contributors may be
 *       used to endorse or promote products derived from this software without
 *       specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY PETER SPECK / VITALITY AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL PETER SPECK / VITALITY AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR  SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package org.jabhts.junit.tests.bMoreContent;

import org.jabhts.annotation.element.EHtml;
import org.jabhts.annotation.element.EHtmlPost;
import org.jabhts.annotation.element.EHtmlPre;
import org.jabhts.annotation.element.EText;
import org.jabhts.annotation.element.ETextPost;
import org.jabhts.annotation.element.ETextPre;
import org.jabhts.annotation.global.TCompile;
import org.jabhts.junit.lib.TestBase;

@TCompile
public class MoreContent extends TestBase
{
	protected void emitTemplate() throws Exception
	{
		new MoreContentTp(this).emit(pw);
	}

	//-------------------------------------  TEXT, instance

	@EText
	String textInstanceContent1 = "<i>You & me</i>!";

	@ETextPre
	String textInstanceLeader1 = "<i>Keith Jarret</i>: ";

	@ETextPost
	String textInstanceExtra1 = ": <b>OK Computer</b>.";

	@EText
	String getTextInstanceContent2()
	{
		return "Beth Gibbons & Rustin' Man";
	}

	@ETextPre
	String getTextInstanceLeader2()
	{
		return "<b>Kathusja Babikian</b>: ";
	}

	@ETextPost
	String getTextInstanceExtra2()
	{
		return ": <i>OK Computer</i>.";
	}

	//-------------------------------------  TEXT, static

	@EText
	static String textStaticContent1 = "<i>You & me</i>!";

	@ETextPre
	static String textStaticLeader1 = "<i>Keith Jarret</i>: ";

	@ETextPost
	static String textStaticExtra1 = ": <b>OK Computer</b>.";

	@EText
	static String getTextStaticContent2()
	{
		return "Beth Gibbons & Rustin' Man";
	}

	@ETextPre
	static String getTextStaticLeader2()
	{
		return "<b>Kathusja Babikian</b>: ";
	}

	@ETextPost
	static String getTextStaticExtra2()
	{
		return ": <i>OK Computer</i>.";
	}
	//-------------------------------------  HTML, instance

	@EHtml
	String htmlInstanceContent1 = "<i>You & me</i>!";

	@EHtmlPre
	String htmlInstanceLeader1 = "<i>Keith Jarret</i>: ";

	@EHtmlPost
	String htmlInstanceExtra1 = ": <b>OK Computer</b>.";

	@EHtml
	String getHtmlInstanceContent2()
	{
		return "Beth Gibbons & Rustin' Man";
	}

	@EHtmlPre
	String getHtmlInstanceLeader2()
	{
		return "<b>Kathusja Babikian</b>: ";
	}

	@EHtmlPost
	String getHtmlInstanceExtra2()
	{
		return ": <i>OK Computer</i>.";
	}

	@EHtml
	void printHtmlInstanceContent3()
	{
		pw.print("(<b>Finally We Are No One!</b>)");
	}

	@EHtmlPre
	void printHtmlInstanceLeader3()
	{
		pw.print("<i>album</i>: ");
	}

	@EHtmlPost
	void printHtmlInstanceExtra3()
	{
		pw.print(": <i>Don't Be Afraid, You Have Just Got Your Eyes Closed</i>.");
	}

	//-------------------------------------  HTML, static

	@EHtml
	static String htmlStaticContent1 = "<i>You & me</i>!";

	@EHtmlPre
	static String htmlStaticLeader1 = "<i>Keith Jarret</i>: ";

	@EHtmlPost
	static String htmlStaticExtra1 = ": <b>OK Computer</b>.";

	@EHtml
	static String getHtmlStaticContent2()
	{
		return "Beth Gibbons & Rustin' Man";
	}

	@EHtmlPre
	static String getHtmlStaticLeader2()
	{
		return "<b>Kathusja Babikian</b>: ";
	}

	@EHtmlPost
	static String getHtmlStaticExtra2()
	{
		return ": <i>OK Computer</i>.";
	}
	//-------------------------------------- MISC

	@EHtml(tag = "title")
	String title = "Just a few names";
}
