/* Copyright (C) 2008-2015 Peter Speck
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

extern NSString *PREFS_SUITE_ID_INSTALLER; // Cocoa doesn't allow it to be the same as the bundle id
extern NSString *PREFSKEY_IF_MODIFIED_SINCE;
extern NSString *PREFSKEY_RESPONSE_BODY;
extern NSString *PREFSKEY_SKIPPED_VERSION;
extern NSString *PREFSKEY_LASTDATE_MACINFO;

typedef NS_ENUM(NSUInteger, UpgradeChannel) {
	ChannelFinal,
	ChannelBeta,
	ChannelDev
};

@interface VersionListJsonParser : NSObject {
	
}
@property NSMutableArray* versionList;

- (instancetype)initWithData:(NSData*)data
			installedVersion:(NSString*)installedVersion
					 verbose:(BOOL)verbose
					   error:(NSError **)error;

+ (UpgradeChannel)wantedChannel;
+ (NSURL*)versionListURLForChannel:(UpgradeChannel)channel;
+ (NSURL*)versionListURL;

@end



@interface GbVersionInfo : NSObject {
}

@property NSString* version;
@property NSString* sortkey;
@property NSURL* releaseNotesUrl;
@property NSURL* applyPatchUrl;
@property NSURL* baseUrl;
@property UpgradeChannel channel;
@property BOOL isUpgrade;
@property BOOL isInstalled;

- (instancetype)init;

@end
