/* Copyright (C) 2009-2015 Peter Speck
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#import <Cocoa/Cocoa.h>


@interface FilterRuleTableView : NSTableView {

}
- (instancetype)initWithFrame:(NSRect)frameRect;

- (BOOL)validateMenuItem:(NSMenuItem *)item;
- (void)copy:(id)sender;
- (void)cut:(id)sender;
- (void)paste:(id)sender;

- (BOOL)canModifyRules;
- (NSData*)getValidDataFromPasteboard:(NSPasteboard*)pb;
- (void)insertRuleData:(NSData*)data;

- (void)copyRows:(NSIndexSet*)rowIndexes
	toPasteboard:(NSPasteboard*)pb;
- (NSData*)makePasteboardDataForRowsWithIndexes:(NSIndexSet*)set;
- (NSArray*)getPasteboardTypes;

@end
