#!/bin/sh

cd "`dirname "$0"`" > /dev/null

PLIST=/Library/LaunchDaemons/org.glimmerblocker.proxy.plist
export CODESIGN_ALLOCATE=/Applications/Xcode44-DP7.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/codesign_allocate

if [ -e $PLIST ]
then
	RUNNING=1
	echo "# temporary stops java server"
	sudo launchctl unload $PLIST
	while kill -0 $PID 2> /dev/null
	do
		echo ".\c"
		sleep 0.5 # darwin can fract sleep
	done
	echo " now stopped"
else
	RUNNING=0
	echo "# server not running"
fi

./install-jars.sh

PP=/Library/PreferencePanes/GlimmerBlocker.prefPane
CERTNAME="3rd Party Mac Developer Application: Vitality ApS"
codesign -f -s "$CERTNAME" "$PP/Contents/GlimmerBlockerProxy.app"
codesign -f -s "$CERTNAME" "$PP"

if [ "$RUNNING" -eq 0 ]
then
	exit
fi

echo "# restarts java server\c"
sudo launchctl load $PLIST
while true
do
	echo ".\c"
	PID=`sudo launchctl list org.glimmerblocker.proxy 2> /dev/null | perl -ne 'print $1 if m/\"PID\" = (\d+);/;'`
	if [ "$PID" ]
	then
		echo " pid = $PID"
		exit
	fi
	sleep 0.5
done

