/* Copyright (C) 2008-2015 Peter Speck
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.glimmerblocker.proxy.http.client.stream;

import java.io.IOException;
import java.io.InputStream;
import org.jetbrains.annotations.NotNull;

public final class DevNullInputStream extends InputStream
{
	public int read()
	{
		return -1;
	}

	public int read(@NotNull byte[] b, int off, int len)
	{
		return -1;
	}

	@Override
	public void mark(int readlimit)
	{
		// we can handle everything as we never allow any reading.
	}

	@Override
	public void reset() throws IOException
	{
	}

	@Override
	public int available()
	{
		return 0;
	}
}
